import { SVG2TSCmd, SVG2TSDimensions, SVG2TSSourceFile, SVG2TSSVGMetadata } from '../types';
export declare function isSVG(buffer: string): boolean;
export declare function parseViewbox(viewBox: string): SVG2TSDimensions;
export declare function parseAttributes(root: any): SVG2TSSVGMetadata;
export declare function getMetadata(svgFile: SVG2TSSourceFile): SVG2TSSVGMetadata;
export declare function getDimensions(attrs: any): SVG2TSSVGMetadata;
export declare function getViewBoxDimensions(attrs: any): SVG2TSSVGMetadata;
export declare function getInlineStyles(svg: string): string;
export declare function compactCSS(css: string): string;
export declare function compactSVG(source: string): string;
export declare function removeDefaultTemplateValues(source: string): string;
export declare function extractStyles(svg: string, options: SVG2TSCmd): string;
export declare function removeStyles(svg: string): string;
export declare function removeScripts(svg: string): string;
export declare function generateTSInterface(obj: any): any;
export declare function filterSvg(file: string): boolean;
export declare function filterSvgContent(svgFilePath: SVG2TSSourceFile): boolean;
export declare function filterKnownDimensions(fileObj: SVG2TSSourceFile): string | number | undefined;
