export interface AngularDynamicClassTemplate {
    className: string;
    selector: string;
}
export declare const angularDynamicClassTemplate: (context: AngularDynamicClassTemplate) => string;
export interface AngularDynamicModuleTemplate {
    moduleName: string;
    components: Array<string>;
}
export declare const angularDynamicModuleTemplate: (context: AngularDynamicModuleTemplate) => string;
export interface SvgIconClassTemplate {
    moduleName: string;
    className: string;
    selector: string;
    components: Array<{
        component: string;
        name: string;
    }>;
    assets: Array<string>;
    pascalCase: (str: string) => string;
}
export declare const svgIconClassTemplate: (context: SvgIconClassTemplate) => string;
