export declare type Dictionary = {
    [key: string]: any;
};
export interface CommandLineToolsOptions {
    aliases: Dictionary;
    help: Dictionary;
    banner: Array<string>;
    version: string;
}
export declare class CommandLineTools<TypedArgs> {
    private packageName;
    private options;
    args: TypedArgs;
    private arguments;
    constructor(packageName: string, args: Array<string>, options: CommandLineToolsOptions);
    help(): boolean;
    static parseArguments<TypedArgs>(arr: Array<string>): TypedArgs;
    static kvvk(obj: any): Dictionary;
}
