"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.colonRegExp = /:/g;
exports.commaRegExp = /,/g;
exports.doubleQuoteRegExp = /"/g;
exports.lineBreaksRegExp = /\r?\n|\r/g;
exports.propertyBeginRegExp = /{{/g;
exports.propertyBeginToggleRegExp = /_oo_/g;
exports.propertyEndRegExp = /}}/g;
exports.propertyEndToggleRegExp = /_OO_/g;
exports.propertyValueKeyRegExp = /\{{(.+?)\|(.+?)}}/g;
exports.singleQuoteRegExp = /'/g;
exports.svgAttributeRegExp = / (\S+?)=['"]{{(.+?)}}['"]/g;
exports.svgHeightRegExp = /\bheight ?= ?(['"])([\d%]+?)\1/;
exports.svgIsSVG = /<svg[^>]+[^>]*>/;
exports.svgRootRegExp = /<svg\s[^>]+>/;
exports.svgScriptRegExp = /(<script(([^>][\s\S])+?)?>)([\s\S]+?)(<\/script>)/g;
exports.svgStyleRegExp = /(<style(([^>][\s\S])+?)?>)([\s\S]+?)(<\/style>)/g;
exports.svgViewBoxRegExp = /\bviewBox ?= ?(['"])(.+?)\1/;
exports.svgWidthRegExp = /\bwidth ?= ?(['"])([\d%]+?)\1/;
exports.styleTagRegExp = /<[\/]?style>/g;
exports.styleExtractRegExp = /(<style(.+?)?>)([\s\S]+?)<\/style>/g;
